<bugID>1390093<Summary>Add whydidyouupdate mixin to React components</Summary><Description>The whydidyouupdate mixin shows whether each render of a component was required or not. It turns out that although each render may only take 20 - 50ms 95% of our renders are unnecessary. If that is e.g. 20 renders then that is up to a second wasted.

The plugin is tweaked a little to give slightly more information.</Description></bugID>